<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Description: A minimal CDA Release 2 document, that contains only a few attributes and relationships for the ClinicalDocument class: 
                    typeId: fixed
                    id: unique id of the document instance
                    code: type of document
                    effectiveTime: creation date of the document
                    confidentialityCode: confidentiality level indication for this document
                    recordTarget: the record target (e.g. patient)
                    author: author of this document
                    custodian: custodian for this document
                    component: contains (in this case) structured body
                
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.60.3.10.1">
   <title>Minimal CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /
Item: (MinimalCDAdocument)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument
Item: (MinimalCDAdocument)
-->

<rule context="/hl7:ClinicalDocument"
         id="tmp-549c64a8-bbfa-4385-810e-6501ad191b37">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']/@nullFlavor)">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'])&lt;=1">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(MinimalCDAdocument): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(MinimalCDAdocument): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(MinimalCDAdocument): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:code)&lt;=1">(MinimalCDAdocument): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:title)&lt;=1">(MinimalCDAdocument): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(MinimalCDAdocument): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(MinimalCDAdocument): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode)&gt;=1 and not(hl7:confidentialityCode/@nullFlavor)">(MinimalCDAdocument): element hl7:confidentialityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode)&lt;=1">(MinimalCDAdocument): element hl7:confidentialityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(MinimalCDAdocument): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(MinimalCDAdocument): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&lt;=1">(MinimalCDAdocument): element hl7:custodian appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900001
Context: /hl7:ClinicalDocument
Item: (CDAtypeId)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900001
Context: /hl7:ClinicalDocument
Item: (CDAtypeId)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900001
Context: /hl7:ClinicalDocument
Item: CDAtypeId
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900001
Context: /hl7:ClinicalDocument
Item: (CDAtypeId)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900001
Context: /hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

<rule context="/hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-01989fa7-e882-4fdb-a2bd-b6ec9d33c3fb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900001-2013-02-10T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900001-2013-02-10T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root SHALL have value '2.16.840.1.113883.1.3'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900001-2013-02-10T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAtypeId): @root attribute SHALL be a syntactically correct UUID or OID.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']
Item: (MinimalCDAdocument)
-->

<rule context="/hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']"
         id="tmp-e5c9f425-74e4-4475-962e-eda88ed29246">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.60.3.10.1'">(MinimalCDAdocument): @root SHALL have value '2.16.840.1.113883.3.1937.99.60.3.10.1'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(MinimalCDAdocument): @root attribute SHALL be a syntactically correct UUID or OID.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900002
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900002
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900002
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900002
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900002
Context: /hl7:ClinicalDocument/hl7:id
Item: (CDAid)
-->

<rule context="/hl7:ClinicalDocument/hl7:id"
         id="tmp-9bb12b20-01d6-4980-a145-c252b35329ad">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument/hl7:code
Item: (MinimalCDAdocument)
-->

<rule context="/hl7:ClinicalDocument/hl7:code"
         id="tmp-57b166f3-bb34-4394-bdd7-63920abcab76">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')">(MinimalCDAdocument): The value for @code/@codeSystem SHALL be ''11524-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900003
Context: /hl7:ClinicalDocument
Item: (CDAtitle)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900003
Context: /hl7:ClinicalDocument/hl7:title
Item: (CDAtitle)
-->

<rule context="/hl7:ClinicalDocument/hl7:title"
         id="tmp-c904de76-1d1c-4787-99ef-cba22d162dea">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900004
Context: /hl7:ClinicalDocument
Item: (CDAeffectiveTime)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900004
Context: /hl7:ClinicalDocument
Item: (CDAeffectiveTime)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900004
Context: /hl7:ClinicalDocument
Item: (CDAeffectiveTime)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900004
Context: /hl7:ClinicalDocument/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

<rule context="/hl7:ClinicalDocument/hl7:effectiveTime"
         id="tmp-ab36af5f-fa39-4928-a491-dbb59a01b6e0">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900005
Context: /hl7:ClinicalDocument
Item: (CDAconfidentialityCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900005
Context: /hl7:ClinicalDocument
Item: (CDAconfidentialityCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900005
Context: /hl7:ClinicalDocument/hl7:confidentialityCode
Item: (CDAconfidentialityCode)
-->

<rule context="/hl7:ClinicalDocument/hl7:confidentialityCode"
         id="tmp-9feaf8c7-aae4-4149-b1e7-433d76967118">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900005-2013-02-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAconfidentialityCode): The value for @code SHALL be selected from value set BasicConfidentialityKind Basic Confidentiality Kind (HL7) DYNAMIC. NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900005-2013-02-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAconfidentialityCode): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind Basic Confidentiality Kind (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument
Item: (CDArecordTarget)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument
Item: (CDArecordTarget)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument
Item: (CDArecordTarget)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument/hl7:recordTarget
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget"
         id="tmp-c382adcc-ec31-4561-95cd-72f55a6a4372">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole"
         id="tmp-2932f179-b38c-4485-b351-3893f305f276">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.110
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (Burgerservicenummer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.110
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (Burgerservicenummer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.110
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (Burgerservicenummer)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-cbdfd073-78d5-4e02-bab3-1b3482b6f3f8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.110-2013-01-31T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(Burgerservicenummer): @root SHALL have value '2.16.840.1.113883.2.4.6.3'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.110-2013-01-31T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Burgerservicenummer): @root attribute SHALL be a syntactically correct UUID or OID.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.110-2013-01-31T000000.html"
              test="string-length(@extension)&gt;0">(Burgerservicenummer): attribute @extension SHALL be present.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-258585ce-1dc5-4a17-bc70-6587dfb13649">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode)&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-c9553ae7-252e-40b8-bdc0-8b5984584488">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode"
         id="tmp-c42f3582-7d94-4ef2-a815-7a99426a3c56">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDArecordTarget): The value for @code SHALL be selected from value set AdministrativeGender AdministrativeGender (HL7) DYNAMIC. NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender AdministrativeGender (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-68b793c8-693c-4916-8dbf-3689e2f64968">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument
Item: (CDAauthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument
Item: (CDAauthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument
Item: (CDAauthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument/hl7:author
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author"
         id="tmp-a25ae6aa-b5a6-4da9-add5-4912cbb866fe">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument/hl7:author/hl7:time
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:time"
         id="tmp-d54cd5de-3e65-4bb7-87fe-d14401963409">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor"
         id="tmp-46ee1601-2a89-449d-b6c8-d008a43f740c">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAauthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-fb6c5e85-a854-4cac-b70e-f8bf0fab1284">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-8b65e681-71f2-4e3f-bedc-24caf1b5fe71">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900200
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPersonElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900200
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPersonElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900200
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPersonElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900200
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPersonElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900200
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPersonElements)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-0b713758-67de-4306-8f9d-7a6d98fd2613">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-9b28d633-f0b3-4b10-b5f6-ed03620f986a">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthor): element hl7:addr appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganizationElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganizationElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganizationElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganizationElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-adaf3d61-e853-4f04-8604-d7fbfa75a1fd">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-af4b517b-5c2c-4667-8cda-ef96883eb551">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-de99bc26-fd6c-4449-8daf-935b9c194372">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-adab0241-3eab-4d73-9340-b99bc7152983">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2003
Context: /hl7:ClinicalDocument
Item: (CDAcustodian)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2003
Context: /hl7:ClinicalDocument
Item: (CDAcustodian)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2003
Context: /hl7:ClinicalDocument
Item: (CDAcustodian)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2003
Context: /hl7:ClinicalDocument/hl7:custodian
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian"
         id="tmp-d9a5f5e6-dc4d-4fe0-b155-68f3faf00c97">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="string(@typeCode)='CST' or not(@typeCode)">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2003
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian"
         id="tmp-30c1cc6a-0c9a-459f-ac5d-d1979cebd8d4">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2003
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-bd07e593-c837-4305-8afd-0fd53aa25a8d">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAOrganizationElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAOrganizationElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAOrganizationElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAOrganizationElements)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-9b41ab5d-54ee-4430-8d02-5c8ab6c9e2bc">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-ff40175f-71d9-4cfa-a6ca-2d797c187eab">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-3eac0f92-5326-455d-ac6e-185fa3b05be9">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-0cbd7439-19fa-41ba-8acc-e77b5ef50c09">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument/hl7:component
Item: (MinimalCDAdocument)
-->

<rule context="/hl7:ClinicalDocument/hl7:component"
         id="tmp-f51383cb-f68c-4416-9d2d-6c1b725d1183">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody
Item: (MinimalCDAdocument)
-->

<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody"
         id="tmp-3552e9c0-c970-4daa-9880-9d4f4b7e713e">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(MinimalCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(MinimalCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]]/@nullFlavor)">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]])&lt;=1">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]] appears to often [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]]
Item: (MinimalCDAdocument)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]]"
         id="tmp-96f33a8a-1159-48fa-a3fa-999a7402f5ee">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
